Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class MissingArgPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.ScalarConstantPtg
              org.apache.poi.hssf.record.formula.MissingArgPtg

    public final class MissingArgPtg

extends ScalarConstantPtg

Missing Function Arguments Avik Sengupta <avik at apache.org>

Author:
  Jason Height (jheight at chariot dot net dot au)

Field Summary
`static Ptg` | `instance`
`static byte` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`int` | `getSize()`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.hssf.record.formula.ScalarConstantPtg
`getDefaultOperandClass, isBaseToken, toString`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

### instance

    public static final Ptg instance

Method Detail

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.